Page MenuHomePhabricator

CheckUser should pass jshint
Closed, ResolvedPublic

Description

jshint reports failure on javascript files and should be fixed. Whenever this is done, one can make the jslint job to be voting by editing integration/zuul-config.git layout.yaml file and remove the line that make the jslint job to be non voting.


Version: master
Severity: normal

Details

Reference
bz61589

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:50 AM
bzimport added a project: CheckUser.
bzimport set Reference to bz61589.
hashar created this task.Feb 20 2014, 1:25 PM

Change 144473 had a related patch set uploaded by Alex Monk:
Clean up jslint errors

https://gerrit.wikimedia.org/r/144473

Change 144473 merged by jenkins-bot:
Clean up jslint errors

https://gerrit.wikimedia.org/r/144473

Wtf? Somehow, when that patch was uploaded, we got:
https://integration.wikimedia.org/ci/job/mwext-CheckUser-jslint/56/console : SUCCESS in 8s (non-voting)
But then when merging:
https://integration.wikimedia.org/ci/job/mwext-CheckUser-jslint/57/console : FAILURE in 2s (non-voting)

Change 147744 had a related patch set uploaded by Alex Monk:
Reformat modules/ext.checkuser.cidr.js, fix some jshint errors

https://gerrit.wikimedia.org/r/147744

Change 147744 merged by jenkins-bot:
Reformat modules/ext.checkuser.cidr.js, fix some jshint errors

https://gerrit.wikimedia.org/r/147744

Change 225149 had a related patch set uploaded (by Hashar):
Add jshint and jscs test to npm

https://gerrit.wikimedia.org/r/225149

Change 225149 merged by jenkins-bot:
Add jshint and jscs test to npm

https://gerrit.wikimedia.org/r/225149

MarcoAurelio moved this task from Backlog to Closed on the CheckUser board.May 9 2016, 8:57 AM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMay 9 2016, 8:57 AM